# tap-growl

Add Growl notifications to any test framework outputting [TAP](http://testanything.org/) .

## Usage

Just pipe your test output to tap-growl (replace lab with your test framework):

```sh
lab -r tap | tap-growl
```

Works with continuous test runs, too:

```sh
nodemon lab -r tap | tap-growl
```

## Installation

```sh
npm install -g tap-growl
```

See [node-growl](https://github.com/visionmedia/node-growl) on how to setup Growl notifications for Mac/Linux/Windows.

## Why?

I just love how [mocha](http://visionmedia.github.io/mocha/) does Growl notifications. Running test with nodemon and notifications allow [instant  feedback](http://csaba.palfi.me/testing-node-apps-like-you-mean-it/#nodemon-growl). I wanted to add the same to other test frameworks.
